%define upstream_name    MooseX-Params-Validate
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    An extension of Params::Validate for using Moose's types
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Caller)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.580.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Params::Validate) >= 0.880.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%{?perl_default_filter}

%description
This module fills a gap in Moose by adding method parameter validation to
Moose. This is just one of many developing options, it should not be
considered the "official" one by any means though.

You might also want to explore 'MooseX::Method::Signatures' and
'MooseX::Declare'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-5.mga8
+ Revision: 1495671
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-4.mga7
+ Revision: 1269615
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-3.mga6
+ Revision: 1030532
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 967159
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 848174
- update to 0.21

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 751206
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.180.0-4.mga5
+ Revision: 735849
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-3.mga5
+ Revision: 685558
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 527136
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 439595
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 370244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 52591
- update to 0.16

* Sun Jan 23 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 33975
- mageia rebuild
- imported package perl-MooseX-Params-Validate

